import request from '@/utils/request'

// 查询抢险维修审核列表
export function listEmergencyRepairProcess(query) {
  return request({
    url: '/gas/emergencyRepairProcess/list',
    method: 'get',
    params: query
  })
}

// 查询抢险维修审核详细
export function getEmergencyRepairProcess(id) {
  return request({
    url: '/gas/emergencyRepairProcess/' + id,
    method: 'get'
  })
}

// 新增抢险维修审核
export function addEmergencyRepairProcess(data) {
  return request({
    url: '/gas/emergencyRepairProcess',
    method: 'post',
    data: data
  })
}

// 修改抢险维修审核
export function updateEmergencyRepairProcess(data) {
  return request({
    url: '/gas/emergencyRepairProcess',
    method: 'put',
    data: data
  })
}

// 删除抢险维修审核
export function delEmergencyRepairProcess(id) {
  return request({
    url: '/gas/emergencyRepairProcess/' + id,
    method: 'delete'
  })
}
